routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Route::get('test', 'HomeController@chartSalary');

Route::get('/', function () {
    return redirect()->route('home');
});

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');
Route::get('/logout', 'Auth\LoginController@getLogout')->name('getLogout');


Route::middleware('auth')->group(function () {
//    user

    Route::get('leave', 'LeaveController@index')->name('leave');
    Route::post('leave', 'LeaveController@store')->name('leaveStore');
    Route::post('leave_multi', 'LeaveController@leaveStoreMultiDay')->name('leaveStoreMultiDay');
    Route::get('leave/{id}', 'LeaveController@destroy')->name('leaveDelete');
    Route::put('leave', 'LeaveController@update')->name('leaveUpdate');
    Route::get('manage_leave','LeaveController@manageLeave')->name('manage_leave');
    Route::get('attendance', 'AttendanceController@index')->name('attendance');
    Route::get('manage_attendance','AttendanceController@manageAttendance')->name('manage_attendance');
    Route::get('checkin', 'AttendanceController@checkin')->name('checkin');
    Route::get('checkout', 'AttendanceController@checkout')->name('checkout');


    Route::group(['middleware' => ['checkAdmin']], function () {
//        Import chấm công
        Route::post('import_attendance', 'LeaveAndAttendanceController@importAttendance')->name('import_attendance');
        Route::post('import_day_off', 'DayOffController@importDayOff')->name('import_day_off');

        //    admin
        Route::get('/dashboard', 'HomeController@dashboard')->name('dashboard');
//    quản lý user
        Route::resource('/user_management', 'UserController')->except([
            'create', 'show', 'edit'
        ]);;
        //quản lý hồ sơ
        Route::resource('/contractFile', 'ContractController')->only([
            'store', 'update'
        ]);;
//        view ngày nghỉ và chấm công
        Route::get('/leave_attendance', 'LeaveAndAttendanceController@index')->name('leave_attendance');
//        report
        Route::get('reports', 'ReportController@index')->name('indexReport');
        Route::get('tinh_luong', 'SalaryController@create')->name('tinhLuong');
        Route::get('/setting', 'SettingController@index')->name('setting');
    });



//    xin nghỉ
    Route::get('yes_leave/{id}', 'LeaveController@yes')->name('yes_leave');
    Route::get('yes_leave_group/{group}', 'LeaveController@yesGroup')->name('yes_leave_group');
    Route::get('no_leave/{id}', 'LeaveController@no')->name('no_leave');
    Route::get('no_leave_group/{group}', 'LeaveController@noGroup')->name('no_leave_group');
    Route::post('yes_multiple_leave', 'LeaveAndAttendanceController@yesMultipleLeave')->name('yes_multiple_leave');
    Route::post('delete_multiple_leave', 'LeaveAndAttendanceController@deleteMultipleLeave')->name('delete_multiple_leave');


//    cham cong attendance
    Route::get('delete_attendance/{id}', 'AttendanceController@destroy')->name('deleteAttendance');
    Route::post('update_attendance', 'AttendanceController@update')->name('update_attendance');
    Route::get('yes_over_time/{id}', 'AttendanceController@yes')->name('yes_over_time');
    Route::get('no_over_time/{id}', 'AttendanceController@no')->name('no_over_time');
    Route::post('yes_multiple_attendance', 'LeaveAndAttendanceController@yesMultipleAttendance')->name('yes_multiple_attendance');
    Route::post('delete_multiple_attendance', 'LeaveAndAttendanceController@deleteMultipleAttendance')->name('delete_multiple_attendance');

//    report
    Route::post('create_report', 'ReportController@create')->name('createReports');
    Route::get('delete_report/{id}', 'ReportController@destroy')->name('delete_report');

//    salary

    Route::get('delete_salary/{id}', 'SalaryController@destroy')->name('delete_salary');
    Route::post('update_salary', 'SalaryController@update')->name('update_salary');

//    setting
    Route::post('/setting', 'SettingController@store')->name('storeSetting');
    Route::get('/timekeeping_off', 'SettingController@timekeepingOff')->name('timekeepingOff');
    Route::get('/timekeeping_on', 'SettingController@timekeepingOn')->name('timekeepingOn');
    Route::post('/update_infor', 'SettingController@updateInfor')->name('updateInfor');
    Route::post('update_tax', 'TaxController@store')->name('updateTax');


    Route::post('create_department', 'DepartmentController@store')->name('createDepartment');
    Route::post('update_department', 'DepartmentController@update')->name('updateDepartment');
    Route::get('delete_department/{id}', 'DepartmentController@destroy')->name('departmentDelete');

//    ngày nghỉ
    Route::get('delete_day_off/{id}', 'DayOffController@destroy')->name('dayOffDelete');
    Route::post('create_day_off', 'DayOffController@store')->name('dayOffCreate');
    Route::post('update_day_off', 'DayOffController@update')->name('dayOffUpdate');

    Route::get('/change_password', 'SettingController@changePassword')->name('changePassword');
    Route::post('/change_password', 'SettingController@storePassword')->name('storePassword');
});

resources/views/modal/confirm_delete_user.blade.php
<div id="confirmModalDeleteUser" class="modal fade" role="dialog">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h2 class="modal-title">Xác Nhận</h2>
                <button type="button" class="close float-right" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
                <h4 align="center" style="margin:0;">Bạn có thực sự muốn xóa!!</h4>
            </div>
            <form id="delete_modal_user"  name="delete_modal_user" action="{{route('user_management.index')}}" method="POST" style="display: none;">
                @csrf
                <input type="hidden" name="_method" value="delete">
                <input type="hidden" name="delete_id" id='delete_id'>
            </form>
            <div class="modal-footer d-flex justify-content-around">
                <button type="button" name="button_confirm_delete_ok" id="button_confirm_delete_ok" class="btn btn-danger">Đồng ý
                </button>
                <button type="button" class="btn btn-primary" data-dismiss="modal">Hủy bỏ</button>
            </div>

        </div>
    </div>
</div>

resources/views/modal/create_user.blade.php
<div id="formModalCreateUser" name="formModalCreateUser" class="modal fade" role="dialog">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <h4 id="modal-title"></h4>
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
                <span id="form-alert"></span>
                <form method="post" id="userForm" action="{{route("user_management.store")}}"
                      class="form-horizontal form-row" enctype="multipart/form-data">
                    @csrf
                    <input type="hidden" name="_method" id='_method' value="post">
                    <input type="hidden" name="id" id="id">

                    <div class="form-group col-md-6">
                        <label for="username" class="control-label col-md-12">UserName<span
                                class="text-danger"> *</span> :</label>
                        <div class="col-md-12">
                            <input type="text" name="username" id="username" class="username form-control"/>
                            <p style="color:red; display: none" class="error errorUsername"></p>
                        </div>

                        <label for="email" class="control-label col-md-4">Email<span
                                class="text-danger"> *</span>:</label>
                        <div class="col-md-12">
                            <input type="text" name="email" id="email" class="form-control"/>
                            <p style="color:red; display: none" class="error errorEmail"></p>

                        </div>

                    </div>

                    <div class="form-group col-md-6">
                        <label for="avatar" class="control-label col-md-12">Select Profile Image : </label>
                        <div class="col-md-12 d-flex justify-content-center">
                            <input type="file" name="avatar" id="avatar" hidden
                                   accept="image/*"
                                   onchange="document.getElementById('showiamge').src = window.URL.createObjectURL(this.files[0])"/>
                            <!--  onchange="document.getElementById('showiamge').src = window.URL.createObjectURL(this.files[0])" de input hien thi anh -->
                            <p style="color:red; display: none" class="error errorImage"></p>
                            <img onclick="document.getElementById('avatar').click()" id="showiamge"
                                 data-srcDefault="{{asset('images/flag_vn.png')}}"
                                 src="{{asset('images/flag_vn.png')}}" alt="your avatar upload" height="100"/>
                            <span id="store_image"></span>
                        </div>
                    </div>


                    <div class="form-group col-md-6">
                        <label for="password" class="control-label col-md-12">Mật khẩu <span
                                class="text-danger"> *</span>: </label>
                        <div class="col-md-12">
                            <input type="text" name="password" id="password" class="form-control"/>
                            <p style="color:red; display: none" class="error errorPassword"></p>

                        </div>
                    </div>
                    <div class="form-group col-md-6">
                        <label for="confirm_password" class="control-label col-md-12">Xác nhận mật khẩu <span
                                class="text-danger"> *</span>: </label>
                        <div class="col-md-12">
                            <input type="text" name="password_confirmation" id="password_confirmation"
                                   class="form-control"/>
                            <p style="color:red; display: none" class="error confirmPassword"></p>

                        </div>
                    </div>
                    <div class="form-group col-md-6">
                        <label for="name" class="control-label col-md-12">Họ & tên : </label>
                        <div class="col-md-12">
                            <input type="text" name="name" id="name" class="form-control"/>
                            <p style="color:red; display: none" class="error errorName"></p>

                        </div>
                    </div>
                    <div class="form-group col-md-3">
                        <label for="username" class="control-label col-md-12">Vai trò
                            <span class="text-danger"> *</span></label>
                        <div class="col-md-12">
                            <select class="form-control" id="role_type_id" name="role_type_id">
                                @foreach(getListRole() as $role)
                                    <option
                                        value="{{$role->id}}" {{$role->id == 3 ? 'selected' : ''}}>{{$role->role_name}}</option>
                                @endforeach
                            </select>
                            <p style="color:red; display: none" class="error errorRole"></p>
                        </div>
                    </div>

                    <div class="form-group col-md-3">
                        <label for="gender" class="control-label col-md-12">Giới tính:
                            <span class="text-danger"> *</span></label>
                        <div class="col-md-12">
                            <select class="form-control" id="gender" name="gender">
                                <option value="Nam" selected>Nam</option>
                                <option value="Nữ">Nữ</option>

                            </select>
                            <p style="color:red; display: none" class="error errorRole"></p>
                        </div>
                    </div>

                    <div class="form-group col-md-4">
                        <label for="bank_account" class="control-label col-md-12">Phòng ban: </label>
                        <div class="col-md-12">
                            <select class="form-control" id="department_id" name="department_id">
                                <option value="">Chưa có</option>
                                @foreach(getListDepartment() as $item)
                                    <option
                                        value="{{$item->id}}">{{$item->department_name}}</option>
                                @endforeach
                            </select>

                        </div>
                    </div>
                    <div class="form-group col-md-4">
                        <label for="bank_account" class="control-label col-md-12">Tài khoản ngân hàng: </label>
                        <div class="col-md-12">
                            <input type="text" name="bank_account" id="bank_account" class="form-control"/>
                            <p style="color:red; display: none" class="error errorBankAccount"></p>

                        </div>
                    </div>

                    <div class="form-group col-md-4">
                        <label for="phone_number" class="control-label col-md-12">Số điện thoại: </label>
                        <div class="col-md-12">
                            <input type="text" name="phone_number" id="phone_number" class="form-control"/>
                            <p style="color:red; display: none" class="error errorBankAccount"></p>

                        </div>
                    </div>

                    <div class="form-group col-md-12 d-flex justify-content-around">
                        <button type="submit" name="action_user" id="action_user" class="btn btn-primary col-3">Thêm
                        </button>

                        <button type="button" name="cancel" id="cancel" data-dismiss="modal"
                                class="btn btn-danger col-3"> Hủy
                        </button>
                    </div>

                </form>
            </div>
        </div>
    </div>
</div>

resources/views/modal/draggable_modal.blade.php
<!-- Modal draggable_modal-->
<div class="modal fade draggable_modal_class" id="view_file" data-backdrop="false" data-keyboard="false" tabindex="-1" role="dialog" aria-labelledby="ViewFileLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg draggable_modal_dialog" role="document">
        <div class="modal-content">
            <div class="modal-header move_modal">
                <h5 class="modal-title" id="title_draggable">Modal title</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body draggable_modal_body">
{{--                <iframe src='https://view.officeapps.live.com/op/embed.aspx?src=/contract/testexcel.xlsx' width='100%' height='565px' frameborder='0'> </iframe>--}}
                <iframe id="link_file_view" src="" width='100%' height='398px' allowfullscreen webkitallowfullscreen></iframe>
            </div>
            <div class="modal-footer  move_modal d-flex justify-content-around">
                <button type="button" class="btn btn-primary" data-dismiss="modal">Đóng</button>
            </div>
        </div>
    </div>
</div>

resources/views/modal/modal_confirmed_delete.blade.php
<div id="modalConfirmedDelete" class="modal fade" role="dialog">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h2 class="modal-title">Xác Nhận</h2>
                <button type="button" class="close float-right" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
                <h4 align="center" style="margin:0;">Bạn có thực sự muốn xóa!!</h4>
            </div>
            <div class="modal-footer d-flex justify-content-around">
                <a name="btn_modal_confirmed_delete_ok" id="btn_modal_confirmed_delete_ok" class="btn btn-danger text-white">Đồng ý
                </a>
                <button type="button" class="btn btn-primary" data-dismiss="modal">Hủy bỏ</button>
            </div>

        </div>
    </div>
</div>

resources/views/modal/modal_notification.blade.php
@if ($errors->any())
    <div id="notification" class="notification">
        <!-- Modal content -->
        <div class="notification-content" style="min-height: 30px">
            <span class="notification-close notification-close-icon">&times;</span>
            <div class="body-notification">
                <div class="alert alert-danger alert-dismissible fade show" role="alert" style="min-height: 30px">
                    <ul>
                        @foreach ($errors->all() as $error)
                            <li>{{ $error }}</li>
                        @endforeach
                    </ul>
                    <button type="button" class="close btn-100" data-dismiss="alert" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
            </div>
            <div class="footer-notification d-flex justify-content-center">
                <button class="btn-success notification-close" style="padding: 6px; border-radius: 5px"> Xác nhận</button>
            </div>

        </div>
    </div>
@elseif(Session::has('success'))
    <div id="notification" class="notification">
        <!-- Modal content -->
        <div class="notification-content" style="min-height: 30px">
            <span class="notification-close notification-close-icon btn-100">&times;</span>
            <div class="body-notification">
                <div class="alert alert-success alert-dismissible fade show" role="alert" style="min-height: 30px">
                    <strong>{{ Session::get('success') }}</strong>
                    <button type="button" class="close btn-100" data-dismiss="alert" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
            </div>
            <div class="footer-notification d-flex justify-content-center">
                <button class="btn-success notification-close" style="padding: 6px; border-radius: 5px"> Xác nhận</button>
            </div>

        </div>
    </div>
@elseif(Session::has('error'))
    <div id="notification" class="notification">
        <!-- Modal content -->
        <div class="notification-content">
            <span class="notification-close notification-close-icon btn-100">&times;</span>
            <div class="body-notification">
                <div class="alert alert-danger alert-dismissible fade show" role="alert" style="min-height: 30px">
                    <strong>{{ Session::get('error') }}</strong>
                    <button type="button" class="close btn-100" data-dismiss="alert" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
            </div>
            <div class="footer-notification d-flex justify-content-center">
                <button class="btn-success notification-close" style="padding: 6px; border-radius: 5px"> Xác nhận</button>
            </div>

        </div>
    </div>
@endif

resources/views/modal/them_hop_dong.blade.php
<div id="ThemHopDongModal" name="ThemHopDongModal" class="modal fade" role="dialog">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <h4 id="modal-title"></h4>
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
                <span id="form-alert"></span>
                <form method="post" id="contractForm" action="{{route("contractFile.store")}}"
                      class="form-horizontal form-row" enctype="multipart/form-data">
                    @csrf
                    <input type="hidden" name="_method" id='_method' value="post">
                    <input type="hidden" name="id" id="id"/>
                    <input type="hidden" name="user_id" id="contract_user_id" />

                    <div class="form-group col-md-12">
                        <label for="link" class="control-label col-md-12">File hợp đồng: </label>
                    </div>
                    <div class="form-group col-md-8">
                        <div class="col-md-12">
                                <input style="border: 1px solid #ced4da; border-radius: .25rem; width: 100%" type="file" accept=".pdf,image/*" name="link" id="link">
                        </div>
                    </div>


                    <div class="form-group col-md-4" id="div_file_contract">
                        <div class="col-md-12 d-flex justify-content-around" id="actionFile" style="height: 36px">
                            <a  type="button" name="xem_hop_dong" id="xem_hop_dong" class="btn btn-primary btn_view_file">Xem</a>

                            <a type="button" name="tai_hop_dong" id="tai_hop_dong" class="btn btn-success" download>Tải về</a>

                        </div>
                    </div>

                    <div class="form-group col-md-12">
                        <label for="contract_title" class="control-label col-md-12">Ngày Bắt đầu - Ngày kết thúc
                            <span class="text-danger"> *</span> :</label>
                        <div class="col-md-12 input-group input-daterange datepicker d-flex justify-content-between px-4" data-provide="datepicker">
                            <input  name="date_start" id="date_start" type="text" class="form-control datepicker col-md-5">
                            <div class="input-group-addon"> tới </div>
                            <input type="text" class="form-control datepicker col-md-5" id="date_end" name="date_end" data-date-format="dd/mm/yyyy">
                        </div>
                    </div>
                    <div class="form-group col-md-6">
                        <label for="contract_type_id" class="control-label col-md-12">Loại hợp đồng
                            <span class="text-danger"> *</span></label>
                        <div class="col-md-12">
                            <select class="form-control" id="contract_type_id" name="contract_type_id">
                                @foreach(getListContractType() as $contract)
                                    <option
                                        value="{{$contract->id}}" {{$contract->id == 1 ? 'selected' : ''}}>{{$contract->contract_name}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>

                    <div class="form-group col-md-6">
                        <label for="salary" class="control-label col-md-12">Lương  <span class="text-danger"> *</span> : </label>
                        <div class="col-md-12">
                            <input type="number" name="salary" id="salary" class="form-control"/>
                        </div>
                    </div>

                    <div class="form-group col-md-6">
                        <label for="insurance_discount" class="control-label col-md-12">Mức miễn trừ: </label>
                        <div class="col-md-12">
                            <input type="number" name="insurance_discount" id="insurance_discount" class="form-control"/>
                        </div>
                    </div>


                    <div class="form-group col-md-6">
                        <label for="insurance_discount" class="control-label col-md-12">Xác thực: </label>
                        <div class="col-md-12 row">
                            <div class="col-md-7">
                            <input type="file"  style="border: 1px solid #ced4da; border-radius: .25rem; width: 100%" name="accuracy_link" accept=".pdf,image/*">
                            </div>
                            <div class="form-group col-md-5  p-0" id="div_file_accuracy">
                                <div class="col-md-12 d-flex justify-content-around p-0" id="actionFileAccuracy">
                                    <a  type="button" name="xem_xac_thuc" id="xem_xac_thuc" style="font-size: 12px" class="btn btn-primary btn_view_file">Xem</a>

                                    <a type="button" name="tai_xac_thuc" id="tai_xac_thuc" style="font-size: 12px" class="btn btn-success" download>Tải về</a>

                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="form-group col-md-12 d-flex justify-content-around">
                        <button type="submit" name="action_contract" id="action_user" class="btn btn-primary col-3">Thêm</button>

                        <button type="button" data-dismiss="modal" class="btn btn-danger col-3"> Hủy</button>
                    </div>

                </form>
            </div>
        </div>
    </div>
</div>